package com.bc_chat.contacts.contract


import com.zhaohaoting.framework.abs.contract.BaseContract

/**
 * author：Created by zhaohaoting on 2018/1/10 11:51
 * email：526309416@qq.com
 * desc：举报
 */

interface ReportContract {

    interface Presenter {

        fun report(cuid: String?, reason: String?)

    }

    interface View : BaseContract.BaseView {

        fun reportSuccess()

        fun reportFailure(exception: Exception)
    }
}
